import type { Reflection } from "../../../models";
import type { Options } from "../../../utils";
import type { MarkedPlugin } from "../MarkedPlugin";
export declare class DefaultThemeRenderContext {
    markedHelpers: MarkedPlugin;
    options: Options;
    constructor(markedHelpers: MarkedPlugin, options: Options);
    /** Avoid this in favor of urlTo if possible */
    relativeURL: (url: string | undefined) => string | undefined;
    urlTo: (reflection: Reflection) => string | undefined;
    markdown: (md: string | undefined) => string;
    reflectionTemplate: (props: import("../../events").PageEvent<import("../../../models").ContainerReflection>) => import("../../../utils/jsx").Element;
    indexTemplate: (props: import("../../events").PageEvent<import("../../../models").ProjectReflection>) => import("../../../utils/jsx").Element;
    defaultLayout: (props: import("../../events").PageEvent<Reflection>) => import("../../../utils/jsx").Element;
    analytics: () => import("../../../utils/jsx").Element | undefined;
    breadcrumb: (props: Reflection) => import("../../../utils/jsx").Element | undefined;
    comment: (props: Reflection) => import("../../../utils/jsx").Element | undefined;
    footer: (props: import("../../events").PageEvent<Reflection>) => import("../../../utils/jsx").Element;
    header: (props: import("../../events").PageEvent<Reflection>) => import("../../../utils/jsx").Element;
    hierarchy: (props: import("../../../models").DeclarationHierarchy) => import("../../../utils/jsx").Element;
    index: (props: import("../../../models").ContainerReflection) => import("../../../utils/jsx").Element | undefined;
    member: (props: import("../../../models").DeclarationReflection) => import("../../../utils/jsx").Element;
    memberDeclaration: (props: import("../../../models").DeclarationReflection) => import("../../../utils/jsx").Element;
    memberGetterSetter: (props: import("../../../models").DeclarationReflection) => import("../../../utils/jsx").Element;
    memberReference: (props: import("../../../models").ReferenceReflection) => import("../../../utils/jsx").Element;
    memberSignatureBody: (r_0: import("../../../models").SignatureReflection, r_1?: {
        hideSources?: boolean | undefined;
    } | undefined) => import("../../../utils/jsx").Element;
    memberSignatureTitle: (r_0: import("../../../models").SignatureReflection, r_1?: {
        hideName?: boolean | undefined;
        arrowStyle?: boolean | undefined;
    } | undefined) => import("../../../utils/jsx").Element;
    memberSignatures: (props: import("../../../models").DeclarationReflection) => import("../../../utils/jsx").Element;
    memberSources: (props: import("../../../models").DeclarationReflection | import("../../../models").SignatureReflection) => import("../../../utils/jsx").Element;
    members: (props: import("../../../models").ContainerReflection) => import("../../../utils/jsx").Element;
    membersGroup: (group: import("../../../models").ReflectionGroup) => import("../../../utils/jsx").Element;
    navigation: (props: import("../../events").PageEvent<Reflection>) => import("../../../utils/jsx").Element;
    parameter: (props: import("../../../models").DeclarationReflection) => import("../../../utils/jsx").Element;
    type: (type: import("../../../models").Type | undefined, options?: {
        needsParens?: boolean | undefined;
    } | undefined) => import("../../../utils/jsx").Element;
    typeAndParent: (props: import("../../../models").Type) => import("../../../utils/jsx").Element;
    typeParameters: (props: import("../../../models").TypeParameterContainer) => import("../../../utils/jsx").Element;
}
